Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.transport.mailto.client
Class AsyncMailClientService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.net.axis.transport.mailto.AbstractMailTransportService
                  org.jboss.net.axis.transport.mailto.client.AsyncMailClientService

All Implemented Interfaces:
  MailConstants, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class AsyncMailClientService
extends AbstractMailTransportService
implements MailConstants

Title:
  Asynchronous Mail Client Service

Description:
  This service allows SOAP messages to be sent via email in an asynchronous way.

  CAUTION: Requires ws-addressing handlers to be installed in the request chain.

Version:
  $Revision: 1.1 $
Author:
  Jason Essington

Field Summary

Fields inherited from class org.jboss.net.axis.transport.mailto.AbstractMailTransportService
`ENGINE_NAME, FOLDER_NAME, SESSION_NAME`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.net.axis.transport.mailto.MailConstants
`HEADER_CONTENT_TRANSFER_ENCODING, HEADER_CONTENT_TYPE, HEADER_FROM, HEADER_IN_REPLY_TO, HEADER_MESSAGE_ID, HEADER_TO`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AsyncMailClientService()`

Method Summary
`org.apache.axis.client.Service` | `getService()`
`protected void` | `processMessages(javax.mail.Message[] msgs)`
`void` | `sendAsynchronously(org.apache.axis.client.Call call, IAsyncCallback callback, Object[] args)`

Methods inherited from class org.jboss.net.axis.transport.mailto.AbstractMailTransportService
`closeFolder, closeStore, fetchMessages, getDeleteMail, getEngineName, getFolderName, getMailFolder, getMailSession, getMailStore, getSessionName, pollMail, setDeleteMail, setEngineName, setFolderName, setSessionName`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncMailClientService

    public AsyncMailClientService()

Method Detail

### getService

    public org.apache.axis.client.Service getService()

### sendAsynchronously

    public void sendAsynchronously(org.apache.axis.client.Call call,
                                   IAsyncCallback callback,
                                   Object[] args)

### processMessages

    protected void processMessages(javax.mail.Message[] msgs)

  Specified by:
    `processMessages` in class `AbstractMailTransportService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.